This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 222487 - The "/usr/include/xorg/xf86_libc.h" on line 437 has the wrong #undef.
The "/usr/include/xorg/xf86_libc.h" on line 437 has the wrong #undef.
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 16:17 EST by Konrad Rzeszutek
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 18:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Konrad Rzeszutek 2007-01-12 16:17:55 EST
Description of problem:

The "/usr/include/xorg/xf86_libc.h" on line 437 has the wrong #undef.

If you look closely you will see:

#undef vfprinf
#define vfprintf(p,f,a)·········xf86vfprintf(p,f,a)

The #undef is for "vfprinf", and not for "vfprintf". It is missing the letter 't'.


Not a big deal, but it does trigger a warning build on some of the packages.
Comment 1 Konrad Rzeszutek 2007-01-12 16:19:13 EST
FYI. This is also a problem on FC5
Comment 2 Adam Jackson 2007-01-29 18:16:16 EST
Will be fixed in rawhide tomorrow (in 1.2.0-4), but not severe enough to fix
elsewhere.  Clone this as a new bug if for some reason we want to fix it in RHEL5.
Comment 3 Konrad Rzeszutek 2007-01-30 11:40:35 EST
Adam,

Thanks. I know this ia trivial patch and thanks for taking the time to put it
in. In regards to RHEL line I think we can wait till RHEL6 comes up to pick up
the fix.

Note You need to log in before you can comment on or make changes to this bug.